function esc(hObject, eventdata,Empty_Button,LockMode, AxesAFS,AxesSOL, num)

data = get(Empty_Button,'UserData');

if num==1
    data.isExpert1=0;
    data.isExpert2=0;
    data.FixPoint1_B=[];
    data.FixPoint2_B=[];
    data.FixPoint3_B=[];
    data.FixPoint1_SV=[];
    data.FixPoint2_SV=[];
    data.FixPoint3_SV=[];
    data.AFSL_B=[];
    data.AFSL2_B=[];
    data.AFSL_SV=[];
    data.AFSL2_SV=[];
    data.numb_segmentsL2=[];
    data.numb_segmentsL2=0;
    data.numb_segmentsL=[];
    data.numb_segmentsL=0;
    
    set(Empty_Button,'UserData',data);
    plotAFS_BKP(Empty_Button,AxesAFS);
    hold(AxesSOL,'off');
    plot(AxesSOL,0,0,'w');
    hold(AxesSOL,'on');
    onoffButton_BKP(LockMode,[],[4 5]);
elseif num==2
    data.isExpert2=0;
    data.FixPoint2_B=[];
    data.FixPoint3_B=[];
    data.FixPoint2_SV=[];
    data.FixPoint3_SV=[];
    data.AFSL2_B=[];
    data.AFSL2_SV=[];
    data.numb_segmentsL2=[];
    data.numb_segmentsL2=0;
    set(Empty_Button,'UserData',data);
    plotAFSLock_BKP(Empty_Button, AxesAFS,1);

end
set(hObject,'Enable','off');
data.isLastClickLockMode=0;

set(Empty_Button,'UserData',data)